// loader css courtesy of Temani Afif | https://css-loaders.com/thin/

// HTML: <div class="loader"></div>
.loader {
    height: 11px;
    width: 108px;
    --c: no-repeat linear-gradient(#000 0 0);
    background: var(--c), var(--c), var(--c), var(--c);
    background-size: 26% 3px;
    animation: l6 1s infinite;
}

@keyframes l6 {
    0%,
    70%,
    100%   {background-position: calc(0*100%/3) 50%,calc(1*100%/3) 50% ,calc(2*100%/3) 50%,calc(3*100%/3) 50% }
    23.33% {background-position: calc(0*100%/3) 0  ,calc(1*100%/3) 100%,calc(2*100%/3) 0  ,calc(3*100%/3) 100%}
    46.67% {background-position: calc(1*100%/3) 0  ,calc(0*100%/3) 100%,calc(3*100%/3) 0  ,calc(2*100%/3) 100%}
    69.99% {background-position: calc(1*100%/3) 50%,calc(0*100%/3) 50% ,calc(3*100%/3) 50%,calc(2*100%/3) 50% }
}

// HTML: <div class="wayback-loader"></div>
.wayback-loader {
    width: 50px;
    aspect-ratio: 1;
    display: flex;
    color: #777;
    border: 4px solid;
    box-sizing: border-box;
    border-radius: 50%;
    background:
        radial-gradient(circle 3px, currentColor 95%, #2222),
        linear-gradient(currentColor 50%, #0000 0) 50%/2px 60% no-repeat
    ;
    animation: l1 8s infinite linear;
}

.wayback-loader:before {
  content: "";
  flex: 1;
  background: linear-gradient(currentColor 50%, #0000 0) 50%/2px 90% no-repeat;
  animation: inherit;
}

@keyframes l1 {
  100% {transform: rotate(-1turn)}
}
